Skip to content
Browse files

Merge pull request #108 from akqa/specs

Add haml as development dependency, add a pending spec
  • Loading branch information...
2 parents e167223 + c89e2d0 commit f69b9206b74e557ccb48c0110605b0c152f4f6e4 @gregbell gregbell committed May 26, 2011
Showing with 9 additions and 1 deletion.
  1. +1 −0 Gemfile
  2. +3 −0 activeadmin.gemspec
  3. +5 −1 spec/unit/arbre/html_spec.rb
View
1 Gemfile
@@ -35,6 +35,7 @@ group :development, :test do
gem 'sqlite3-ruby', :require => 'sqlite3'
gem 'jeweler', '1.5.2'
gem 'rake', '0.8.7', :require => false
+ gem 'haml', '~> 3.1.1', :require => false
end
group :test do
View
3 activeadmin.gemspec
@@ -329,6 +329,7 @@ Gem::Specification.new do |s|
s.add_development_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_development_dependency(%q<jeweler>, ["= 1.5.2"])
s.add_development_dependency(%q<rake>, ["= 0.8.7"])
+ s.add_development_dependency(%q<haml>, ["~> 3.1.1"])
else
s.add_dependency(%q<rails>, [">= 3.0.0"])
s.add_dependency(%q<meta_search>, [">= 0.9.2"])
@@ -340,6 +341,7 @@ Gem::Specification.new do |s|
s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_dependency(%q<jeweler>, ["= 1.5.2"])
s.add_dependency(%q<rake>, ["= 0.8.7"])
+ s.add_dependency(%q<haml>, ["~> 3.1.1"])
end
else
s.add_dependency(%q<rails>, [">= 3.0.0"])
@@ -352,6 +354,7 @@ Gem::Specification.new do |s|
s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_dependency(%q<jeweler>, ["= 1.5.2"])
s.add_dependency(%q<rake>, ["= 0.8.7"])
+ s.add_dependency(%q<haml>, ["~> 3.1.1"])
end
end
View
6 spec/unit/arbre/html_spec.rb
@@ -200,7 +200,11 @@
HTML
end
- it "should escape the contents of attributes"
+ it "should escape the contents of attributes" do
+ span(:class => "<br />").to_html.should == <<-HTML
+<span class="&lt;br /&gt;"></span>
+HTML
+ end
end
end

0 comments on commit f69b920

Please sign in to comment.
Something went wrong with that request. Please try again.